Liblinphone 5.2.0

Public Member Functions | List of all members
linphone::XmlRpcSession Class Reference

The XmlRpcSession object used to send XML-RPC requests and handle their responses. More...

`#include <xml_rpc_session.hh>`

Inheritance diagram for linphone::XmlRpcSession:

## Public Member Functions
LINPHONECXX_PUBLIC | XmlRpcSession (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneXmlRpcSession * | cPtr ()
LINPHONECXX_PUBLIC std::shared_ptr< linphone::XmlRpcRequest > | createRequest (linphone::XmlRpcArgType returnType, const std::string &method)
| Creates a XmlRpcRequest from a XmlRpcSession.
LINPHONECXX_PUBLIC void | release ()
| Stop and unref an XML rpc session.
LINPHONECXX_PUBLIC void | sendRequest (const std::shared_ptr< linphone::XmlRpcRequest > &request)
| Send an XML-RPC request.

## Detailed Description

The XmlRpcSession object used to send XML-RPC requests and handle their responses.

## Member Function Documentation

## ◆ createRequest()

LINPHONECXX_PUBLIC std::shared_ptr< linphone::XmlRpcRequest > linphone::XmlRpcSession::createRequest | ( | linphone::XmlRpcArgType | returnType,
|  | const std::string & | method )

Creates a XmlRpcRequest from a XmlRpcSession.

Parameters

  method | the function name to call

Returns
  a XmlRpcRequest object

## ◆ release()

LINPHONECXX_PUBLIC void linphone::XmlRpcSession::release | ( |  | ) |

Stop and unref an XML rpc session.

Pending requests will be aborted.

## ◆ sendRequest()

LINPHONECXX_PUBLIC void linphone::XmlRpcSession::sendRequest | ( | const std::shared_ptr< linphone::XmlRpcRequest > & | request | ) |

Send an XML-RPC request.

Parameters

  request | The XmlRpcRequest to be sent.

The documentation for this class was generated from the following file:

- xml_rpc_session.hh